@echo off
title Premo_Plugin Upgrader by SchmilK with thanks to nicinico
color 0A

rcotool -A premo_plugin.rco
if exist premo_plugin.bak del premo_plugin.bak
ren premo_plugin.rco premo_plugin.bak
copy us_premo_plugin us_premo_plugin.rco

if not exist tex_netconf_icon.bmp rcotool -D us_premo_plugin.rco tex_netconf_icon

rcotool -r us_premo_plugin.rco tex_premo_icon
rcotool -r us_premo_plugin.rco tex_text_field
rcotool -r us_premo_plugin.rco tex_checkbox_check
rcotool -r us_premo_plugin.rco tex_checkbox_box
rcotool -r us_premo_plugin.rco tex_checkbox_check_focus
rcotool -r us_premo_plugin.rco tex_checkbox_box_focus
rcotool -r us_premo_plugin.rco tex_checkbox_check_shadow
rcotool -r us_premo_plugin.rco tex_checkbox_box_shadow
rcotool -r us_premo_plugin.rco tex_netconf_icon

if exist *.bmp del *.bmp
if exist *.gim del *.gim
if exist us_premo_plugin.rco ren us_premo_plugin.rco premo_plugin.rco
